Name:           python-pynose
Version:        1.5.4
Release:        %autorelease
Summary:        pynose fixes nose to extend unittest and make testing easier

License:        LGPL-2.1-only
URL:            https://github.com/mdmintz/pynose
Source:         %{pypi_source pynose}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
pynose is an updated version of nose, originally made by Jason Pellerin.

This version of nose is compatible with Python 3.7+ (including 3.13+).

The original description of nose:

nose extends the test loading and running features of unittest, making it
easier to write, find and run tests.

By default, nose runs tests in files or directories under the current working
directory whose names include "test" or "Test" at a word boundary (like
"test_this" or "functional_test" or "TestClass" but not "libtest"). Test output
is similar to that of unittest, but also includes captured stdout output from
failing tests, for easy print-style debugging.}


%description %_description

%package -n     python3-pynose
Summary:        %{summary}

%description -n python3-pynose %_description


%prep
%autosetup -p1 -n pynose-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l nose


%check
%pyproject_check_import
# Smoke test used in CI
echo "def test_1(): pass" > nothing.py
%py3_test_envvars pynose nothing.py --co -v
%py3_test_envvars pynose nothing.py -v
%py3_test_envvars nosetests nothing.py --co -v
%py3_test_envvars nosetests nothing.py -v

%files -n python3-pynose -f %{pyproject_files}
%{_bindir}/pynose
%{_bindir}/nosetests

%changelog
%autochangelog
